### Hierarchy

- MoveParser

### Implements

- Parser

## Index

### Properties

- moveRegex

### Methods

- Parse
- isItemTemplateMove

## Properties

### Private moveRegex

moveRegex: string = "^(V[0-9]+_MOVE_?.*)"

- Defined in components/move/move.parser.ts:7

## Methods

### Parse

- Parse(gameMaster: RootObject): Move[]

- Implementation of Parser.Parse

  - Defined in components/move/move.parser.ts:11

  #### Parameters

  - ##### gameMaster: RootObject

  #### Returns Move[]

### Private isItemTemplateMove

- isItemTemplateMove(item: ItemTemplate): boolean

- - Defined in components/move/move.parser.ts:8

  #### Parameters

  - ##### item: ItemTemplate

  #### Returns boolean

Generated using TypeDoc